#/bin/bash
#
# All Rights Reserved, Copyright (c) FUJITSU LIMITED 2012-2014
#
#	Configuration Tool for Oracle VM Server for SPARC
#
# Revision 2.2  2014/10/02
#
# pattern1_primary.sh

primary_pattern1()
{
DOMAIN=primary

#---set default------------------------------------------------------------#
CPU=4
MEM=8192
STPORT="5000"
EDPORT="5100"
NET="net0 net1 net4"
VDS="primary-vds0"
CONFIG=config_initial
#--------------------------------------------------------------------------#
TITLE=" 1.Configure a Primary Domain"
DKIND="primary"
PATTERN="Pattern 1"
work_out="${work_dir}"

############################################################################
# Assign CPU
############################################################################
	echo "CPU    : $CPU disabled" >> $work_out/cpu.tmp

############################################################################
# Setting Memory
############################################################################
	echo "Memory : $MEM MB for the primary domain $DOMAIN" >> $work_out/mem.tmp

############################################################################
# get physical network device
############################################################################

COUNT=0
for i in $NET
do
	PHYS="`dladm show-phys | grep -w $i | awk '{print $6}'`"
	echo "VSW    : primary-vsw$COUNT : $i was allocated." >> $work_out/vsw.tmp
	echo "VSW    : primary-vsw$COUNT : $i [$PHYS] was allocated." >> $work_out/vsw.info
	COUNT=`expr $COUNT + 1`
done

############################################################################
# Setting VCC
############################################################################

echo "VCC    : primary-vcc0 will use the port range of $STPORT to $EDPORT" >> $work_out/vcc.tmp

############################################################################
# Setting VDS
############################################################################

echo "VDS    : Add $VDS to the $DOMAIN domain." >> $work_out/vds.tmp

############################################################################
# Check configuration file name
############################################################################

header "$TITLE" "$PATTERN"
CONF_O=$CONFIG
config_name $CONF_O

echo ""
echo "=== The configuration will be saved as the following ==="
echo "The configuration name : $CONFIG" | tee -a $work_out/config.tmp
echo "---------------------------------------------------------------------------------------"
echo "Please press the enter key."
read key

############################################################################
# Confirming configuration
############################################################################

header "$TITLE" "$PATTERN"
print "The following primary domain configuration will be set."
print ""
print "======= Your configuration information for primary domain ============================="
printf "Domain : %s\n" "$DOMAIN"
printf "CPU    : %s cores for the primary domain\n" "$CPU"
printf "Memory : %s MB for the primary domain\n" "$MEM"
print "-------------------------------------------------------------------"
cat $work_out/vcc.tmp
cat $work_out/vsw.info
print "-------------------------------------------------------------------"
cat $work_out/config.tmp
print "======================================================================================="
print ""

############################################################################
# Execution and creating of configuration file
############################################################################

EXE=$conf_dir/${DOMAIN}-${DATE}.sh

save_exec 0

############################################################################
# Delete temporary file 
############################################################################

delete
############################################################################

}
